MAKEKDEWIDGETS(1)

makekdewidgets

NAMN
makekdewidgets - Bygger insticksprogram för Qt(TM) grafiska komponenter från en ini-liknande beskrivningsfil.

SYNOPSIS

makekdewidgets [Qt(TM)-väljare] [KDE-väljare] fil

BESKRIVNING

makekdewidgets bygger insticksprogram för Qt(TM) grafiska komponenter från en ini-liknande beskrivningsfil.

VÄLJARE

Argument:

fil
    Indatafil

Väljare:

-o <fil>
    Utdatafil

-n <insticksprogramnamn>
    Namn på klass av insticksprogram att skapa [WidgetsPlugin]

-g <grupp>
    Förvalt gruppnamn för grafiska komponenter att visa i Designer [Custom]

-p <punktavbildningskatalog>
    Bädda in bilder från en källkatalog

Allmänna väljare:

--help
    Visa hjälp om väljare

--help-qt
    Visa Qt(TM)-specifika väljare

--help-kde
    Visa KDE-specifika väljare

--help-all
    Visa alla väljare

--author
    Visa information om upphovsman

-v, --version
    Visa versionsinformation

--license
    Visa licensinformation

KDE-väljare:

--caption <titel>
    Använd "titel" som namn i namnlisten

--icon <ikon>
    Använd "ikon" som programmets ikon

--miniicon <ikon>
    Använd "ikon" som programmets ikon

--config <filnamn>
    Använd alternativ inställningsfil

--dcopserver <server>
    Använd DCOP-servern som anges av 'server'

--nocrashhandler
    Inaktivera kraschhantering för att få minnesdumpar

--waitforwm
    Väntar på en WM_NET-kompatibel fönsterhanterare

--style <stil>
    Ställer in stilen för programmets grafiska gränssnitt

--geometry <geometri>
    Ställer in klientgeometrin för den grafiska huvudkomponenten. Se man X för argumentformatet

Qt(TM)-väljare:

--display <skärmnamn>
    Använd skärmen "skärmnamn" på X-servern

--session <sessions-id>
    Återställ programmet för givet "sessionsid"

--cmap
    Gör att programmet installerar en privat färgavbildning på en 8-bitarsskärm

--ncols <antal>
    Begränsar antal färger som används i färgkuben på en 8-bitarsskärm, om programmet använder färgspecifikationen QApplication::ManyColor

--nograb
    Talar om för Qt(TM) att aldrig låsa musen eller tangentbordet

--sync
    Byter till synkront läge för felsökning

--fn, --font <teckensnitt>
    Definierar programmets teckensnitt

--bg, --background <färg>
    Ställer in förvald bakgrundsfärg och en programpalett (ljusa och mörka nyanser beräknas)

--fg, --foreground <färg>
    Ställer in förvald förgrundsfärg

--btn, --button <färg>
    Ställer in förvald knappfärg

--name <namn>
    Ställer in programmets namn

--title <titel>
    Ställer in programmets titel (rubrik)

--visual TrueColor
    Tvingar programmet att använda TrueColor på en 8-bitarsskärm

--inputstyle <inmatningsstil>
    Väljer inmatningsstilen XIM (X-inmatningsmetod). Möjliga värden är onthespot, overthespot, offthespot och root

--im <XIM-server>
    Ställer in XIM-server

--noxim
    Inaktivera XIM

--reverse
    Spegelvänder hela layouten av grafiska komponenter

SE OCKSÅ

http://developer.kde.org
    Webbplatsen KDE:s utvecklingshörna

FEL

Använd bugs.kde.org[1] för att rapportera fel, skicka inte e-post direkt till upphovsmännen.

AUTHOR

Ian Reinhart Geiser <geiseri@kde.org>
    Author.

NOTER

1.  bugs.kde.org
    http://bugs.kde.org